# Interface ParameterizedTypeTree

All Superinterfaces:
  `Tree`

public interface ParameterizedTypeTree extends Tree
A tree node for a type expression involving type parameters. For example:

      type < typeArguments >

See Java Language Specification:
  4.5.1 Type Arguments of Parameterized Types
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`Tree`
`getType()`
Returns the base type.
`List<? extends Tree>`
`getTypeArguments()`
Returns the type arguments.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getType

Tree getType()
Returns the base type.

Returns:
  the base type

### getTypeArguments

List<? extends Tree> getTypeArguments()
Returns the type arguments.

Returns:
  the type arguments